Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/Actions/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -4,6 +4,6 @@
 INCLUDES = -I$(top_srcdir)/src
 
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+AM_LDFLAGS = -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
 
 ACTIONSSOURCE = \
@@ -217,9 +217,11 @@
 
 lib_LTLIBRARIES = libMolecuilderActions.la
-libMolecuilderActions_includedir = $(includedir)/MoleCuilder/Actions/
-libMolecuilderActions_libs = \
+libMolecuilderActions_la_includedir = $(includedir)/MoleCuilder/Actions/
+libMolecuilderActions_la_LIBADD = \
 	../Parser/libMolecuilderParser.la \
-	../UIElements/libMolecuilderUI.la
-nobase_libMolecuilderActions_include_HEADERS = ${ACTIONSHEADER}
+	../Shapes/libMolecuilderShapes.la \
+	${CodePatterns_LIBS}
+#	../UIElements/libMolecuilderUI.la
+nobase_libMolecuilderActions_la_include_HEADERS = ${ACTIONSHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
Index: src/Exceptions/Makefile.am
===================================================================
--- src/Exceptions/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/Exceptions/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -4,7 +4,6 @@
 INCLUDES = -I$(top_srcdir)/src
 
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-# Position-Independent Code necessary for shared library
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
 
 EXCEPTIONSOURCE = \
@@ -37,6 +36,6 @@
 
 lib_LTLIBRARIES = libMolecuilderExceptions.la
-libMolecuilderExceptions_includedir = $(includedir)/MoleCuilder/Exceptions/
-nobase_libMolecuilderExceptions_include_HEADERS = ${EXCEPTIONHEADER}
+libMolecuilderExceptions_la_includedir = $(includedir)/MoleCuilder/Exceptions/
+nobase_libMolecuilderExceptions_la_include_HEADERS = ${EXCEPTIONHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
Index: src/LinearAlgebra/Makefile.am
===================================================================
--- src/LinearAlgebra/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/LinearAlgebra/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -4,7 +4,6 @@
 INCLUDES = -I$(top_srcdir)/src
 
-# Position-Independent Code necessary for shared library
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
 
 LINALGSOURCE = \
@@ -52,7 +51,9 @@
 
 lib_LTLIBRARIES = libMolecuilderLinearAlgebra.la
-libMolecuilderLinearAlgebra_includedir = $(includedir)/MoleCuilder/LinearAlgebra/
-libMolecuilderLinearAlgebra_libs = ../Exceptions/libMolecuilderExceptions.la $(GSL_LIBS)
-nobase_libMolecuilderLinearAlgebra_include_HEADERS = ${LINALGHEADER}
+libMolecuilderLinearAlgebra_la_includedir = $(includedir)/MoleCuilder/LinearAlgebra/
+libMolecuilderLinearAlgebra_la_LIBADD = \
+	../Exceptions/libMolecuilderExceptions.la \
+	$(GSL_LIBS)
+nobase_libMolecuilderLinearAlgebra_la_include_HEADERS = ${LINALGHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -2,5 +2,11 @@
 # Also indentation by a single tab
 
-SUBDIRS = Actions Exceptions LinearAlgebra Parser Shapes UIElements
+SUBDIRS = \
+	Exceptions \
+	Parser \
+	LinearAlgebra \
+	Shapes \
+	Actions \
+	UIElements
 
 AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
@@ -228,11 +234,11 @@
 
 lib_LTLIBRARIES = libMolecuilder.la
-libMolecuilder_includedir = $(includedir)/MoleCuilder/
-libMolecuilder_LIBS = \
+libMolecuilder_la_includedir = $(includedir)/MoleCuilder/
+libMolecuilder_la_LIBADD = \
 	LinearAlgebra/libMolecuilderLinearAlgebra.la \
 	${CodePatterns_LIBS} \
 	${BOOST_PROGRAM_OPTIONS_LIB}
 
-nobase_libMolecuilder_include_HEADERS = ${MOLECUILDERHEADER}
+nobase_libMolecuilder_la_include_HEADERS = ${MOLECUILDERHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
@@ -262,6 +268,6 @@
 ## configuration header file is generated at configure time and should not be
 ## shipped with the source tarball.
-libMolecuilder_libincludedir = $(libdir)/MoleCuilder/include
-nodist_libMolecuilder_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+libMolecuilder_la_libincludedir = $(libdir)/MoleCuilder/include
+nodist_libMolecuilder_la_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
 
 ## Install the generated pkg-config file (.pc) into the expected location for
Index: src/Parser/Makefile.am
===================================================================
--- src/Parser/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/Parser/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -4,6 +4,6 @@
 INCLUDES = -I$(top_srcdir)/src
 
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
 
 PARSERSOURCE = \
@@ -35,6 +35,6 @@
 
 lib_LTLIBRARIES = libMolecuilderParser.la
-libMolecuilderParser_includedir = $(includedir)/MoleCuilder/Parser/
-nobase_libMolecuilderParser_include_HEADERS = ${PARSERHEADER}
+libMolecuilderParser_la_includedir = $(includedir)/MoleCuilder/Parser/
+nobase_libMolecuilderParser_la_include_HEADERS = ${PARSERHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
Index: src/Shapes/Makefile.am
===================================================================
--- src/Shapes/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/Shapes/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -5,6 +5,6 @@
 
 # Position-Independent Code necessary for shared library
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
 
 SHAPESOURCE = \
@@ -20,10 +20,10 @@
 
 lib_LTLIBRARIES = libMolecuilderShapes.la
-libMolecuilderShapes_includedir = $(includedir)/MoleCuilder/Shapes/
-libMolecuilderShapes_libs = \
-  ../LinearAlgebra/libMolecuilderExceptions.la \
+libMolecuilderShapes_la_includedir = $(includedir)/MoleCuilder/Shapes/
+libMolecuilderShapes_la_LIBADD = \
+  ../LinearAlgebra/libMolecuilderLinearAlgebra.la \
 	../Exceptions/libMolecuilderExceptions.la \
 	$(GSL_LIBS)
-nobase_libMolecuilderShapes_include_HEADERS = ${SHAPEHEADER}
+nobase_libMolecuilderShapes_la_include_HEADERS = ${SHAPEHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision b2ae3bbc113d5260710b637dd098d36ee28dc655)
+++ src/UIElements/Makefile.am	(revision e5bf2b22c0042a67710fb901a98aa2af11f93f72)
@@ -3,6 +3,6 @@
 INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/UIElements
 
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS} ${QT_CXXFLAGS}
+AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} ${QT_CXXFLAGS}
  
 VIEWSOURCE = \
@@ -232,15 +232,17 @@
 lib_LTLIBRARIES = libMolecuilderUI.la \
 	libMolecuilderQtUI.la
-libMolecuilderUI_includedir = $(includedir)/MoleCuilder/UIElements/
-libMolecuilderQtUI_includedir = $(includedir)/MoleCuilder/UIElements/ 
-libMolecuilderUI_la_LIBS = \
-	Actions/libMolecuilderActions.la
-libMolecuilderQtUI_la_LIBS = \
-	Actions/libMolecuilderActions.la
-
-libMolecuilderQtUI_la_LIBADD = ${QT_LIB_GUI} -lQtOpenGL ${GLU_LIBS} ${QT_LDADD}
-
-nobase_libMolecuilderUI_include_HEADERS = ${UIHEADER}
-nobase_libMolecuilderQtUI_include_HEADERS = ${QTUIHEADER}
+libMolecuilderUI_la_includedir = $(includedir)/MoleCuilder/UIElements/
+libMolecuilderQtUI_la_includedir = $(includedir)/MoleCuilder/UIElements/ 
+libMolecuilderUI_la_LIBADD = \
+	../Actions/libMolecuilderActions.la
+libMolecuilderQtUI_la_LIBADD = \
+	../Actions/libMolecuilderActions.la \
+	${QT_LIB_GUI} \
+	-lQtOpenGL \
+	${GLU_LIBS} \
+	${QT_LDADD}
+
+nobase_libMolecuilderUI_la_include_HEADERS = ${UIHEADER}
+nobase_libMolecuilderQtUI_la_include_HEADERS = ${QTUIHEADER}
 
 ## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
